    /*
     *  call-seq:
     *     QueryFilter.new(query) -> filter
     *
     *  Create a new QueryFilter which applies the query +query+.
     */
    static VALUE
    frt_qf_init(VALUE self, VALUE rquery)
    {
        Query *q;
        Filter *f;
        Data_Get_Struct(rquery, Query, q);
        f = qfilt_new(q);
        Frt_Wrap_Struct(self, NULL, &frt_f_free, f);
        object_add(f, self);
        return self;
    }